Bug 731411 - cannot connect to WEP network using Centrino Wireless-N 1030
Summary: cannot connect to WEP network using Centrino Wireless-N 1030
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: NetworkManager
Version: 6.2
Hardware: All
OS: All
high
high
Target Milestone: rc
: ---
Assignee: Dan Williams
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 15:05 UTC by Vladimir Benes
Modified: 2011-11-09 09:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-09 09:25:19 UTC


Attachments (Terms of Use)
part of messagesduring connecting (5.68 KB, text/plain)
2011-08-17 15:19 UTC, Vladimir Benes
no flags Details

Description Vladimir Benes 2011-08-17 15:05:53 UTC
Description of problem:
according to http://intellinuxwireless.org/?n=downloads this device should be supported 
open and wpa work as expected but wep doesn't

using wireless lab and frankenstein-03 machine

Version-Release number of selected component (if applicable):
kernel-2.6.32-131.0.15.el6.i686
iwl6000g2b-firmware-17.168.5.2-1.el6.noarch


Additional info:
02:00.0 Network controller [0280]: Intel Corporation Centrino Wireless-N 1030 [8086:008a]
	Subsystem: Intel Corporation Centrino Wireless-N 1030 BGN [8086:5305]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 27
	Region 0: Memory at 90100000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: [c8] Power Management version 3
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee0300c  Data: 41a1
	Capabilities: [e0] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 unlimited
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+ FLReset-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <4us, L1 <32us
			ClockPM+ Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [100] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		AERCap:	First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-
	Capabilities: [140] Device Serial Number 00-15-00-ff-ff-77-95-0c
	Kernel driver in use: iwlagn
	Kernel modules: iwlagn

Comment 2 Vladimir Benes 2011-08-17 15:15:29 UTC
NetworkManager-0.8.1-9.el6.i686

Comment 3 Vladimir Benes 2011-08-17 15:19:09 UTC
Created attachment 518706 [details]
part of messagesduring connecting

Comment 7 Dan Williams 2011-10-25 15:40:38 UTC
How are you entering the WEP key?  as a passphrase or as a hex wep key?  If the WEP passphrase/key is wrong the symptom is a successful connection but no DHCP or traffic.

Comment 23 Vladimir Benes 2011-11-09 09:25:19 UTC
my AP was badly configured, as the passphrase typo of WEP is using md5. now it works
-> CLOSED NOTABUG


Note You need to log in before you can comment on or make changes to this bug.